# Backup Log Package - BackupUPgSQLLog

## Overview

Backup Log Package






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `BackupUPgSQLLog`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **BackupName** | string | Backup Export File Name |**Yes**|
| **BackupFile** | string | Backup Query Result File Name |**Yes**|
| **InstanceID** | string | Resource ID |**Yes**|
| **LogType** | string | Log Type: slow (Slow Log), error (Error Log) |No|
| **BeginTime** | int | Log Start Time |No|
| **EndTime** | int | Log End Time |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=BackupUPgSQLLog
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=FQOTmBdl
&BackupName=fWJqdHUn
&BackupFile=uIkXudRf
&InstanceID=XMzvWqMx
&BeginTime=6
&EndTime=1
&BackupFile=ocLrJVzw
&BackupFile=WSBHPfUe
```

### Response Example
    
```json
{
  "Action": "BackupUPgSQLLogResponse",
  "Message": "LCNVTOsG",
  "RetCode": 0
}
```





